summaryrefslogtreecommitdiff
path: root/packages/gwt-chromium/resources/chrome-profile/bin
diff options
context:
space:
mode:
Diffstat (limited to 'packages/gwt-chromium/resources/chrome-profile/bin')
-rwxr-xr-xpackages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent12
-rwxr-xr-xpackages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-volatile16
-rw-r--r--packages/gwt-chromium/resources/chrome-profile/bin/product_logo_48.pngbin0 -> 2961 bytes
3 files changed, 28 insertions, 0 deletions
diff --git a/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent b/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent
new file mode 100755
index 0000000..c0b2ef1
--- /dev/null
+++ b/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent
@@ -0,0 +1,12 @@
+#!/bin/sh
+HERE=`dirname "$0"`
+profile="$HOME/.config/gwt-chrome"
+if ! [ -e "$profile" ]; then
+ mkdir -p "$profile"
+ cp -r "$HERE/../chrome-profile"/* "$profile"
+fi
+chmod -R u+w "$profile"
+LD_LIBRARY_PATH="$HERE/../lib/chrome-support" \
+ "$HERE"/../chrome-linux/chrome \
+ --auth-server-whitelist="*cern.ch" \
+ --disable-setuid-sandbox --user-data-dir="$profile" $*
diff --git a/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-volatile b/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-volatile
new file mode 100755
index 0000000..99f2a21
--- /dev/null
+++ b/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-volatile
@@ -0,0 +1,16 @@
+#!/bin/sh
+HERE=`dirname "$0"`
+persistent_profile="$HOME/.config/gwt-chrome"
+tmp_profile=`mktemp -d`
+cp -r "$HERE/../chrome-profile"/* "$tmp_profile"
+chmod -R u+w "$tmp_profile"
+
+# copy from persistent profile
+test -e "$persistent_profile/Default/Bookmarks" && \
+ cp "$persistent_profile/Default/Bookmarks" "$tmp_profile/Default/Bookmarks"
+
+LD_LIBRARY_PATH="$HERE/../lib/chrome-support" \
+ "$HERE/../chrome-linux/"/chrome \
+ --auth-server-whitelist="*cern.ch" \
+ --disable-setuid-sandbox --user-data-dir="$tmp_profile" $*
+rm -r "$tmp_profile"
diff --git a/packages/gwt-chromium/resources/chrome-profile/bin/product_logo_48.png b/packages/gwt-chromium/resources/chrome-profile/bin/product_logo_48.png
new file mode 100644
index 0000000..7690049
--- /dev/null
+++ b/packages/gwt-chromium/resources/chrome-profile/bin/product_logo_48.png
Binary files differ